Updates the db_info_data object with the specified key ///
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_info_data| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| target_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : target_id or target_code must be provided |
| target_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : target_id or target_code must be provided |
| db_table_id |
Foreign key to the table that own the "target_id" (Example:article,company,project) using Guid |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table that own the "target_id" (Example:article,company,project) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "015a7738-e9b4-4130-85d4-df58ddaec18a",
"target_id": "54ef6fdd-c8b0-41d7-a58d-bd57f9a654ea",
"target_code": "sample string 3",
"db_table_id": "7fbecb09-7786-4082-88d2-a77f630cc764",
"db_table_name": "sample string 5",
"db_info_field_id": "40e5d223-dd9f-44df-b540-af76790d44fb",
"db_info_field_name": "sample string 7",
"value": "sample string 8",
"reference_back_office": "sample string 9",
"sys_logical_delete": true,
"modified_dateutc": "2026-06-02T03:49:22.3414501+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.